Bug 1006941 - [RFE]: New anaconda boot option
[RFE]: New anaconda boot option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.6
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 10:26 EDT by Nuno Fernandes
Modified: 2015-10-21 15:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 15:02:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to add support for hdx boot option (1.14 KB, patch)
2013-09-11 10:26 EDT, Nuno Fernandes
no flags Details | Diff

  None (edit)
Description Nuno Fernandes 2013-09-11 10:26:07 EDT
Created attachment 796421 [details]
Proposed patch to add support for hdx boot option

Description of problem:
We should be able to install from an exploded tree in hd instead of ISOs. For that i propose a new boot option "hdx" that means harddisk exploded. The "hd" option allows the instalation from harddisk but anaconda searches for the redhat ISOs in the hardisk. With the proposed option it would use the harddisk as a repository already exploded (/repodata, /Packages).

Version-Release number of selected component (if applicable): 13.21.195


How reproducible:


Steps to Reproduce:
1. dd if=DVD.ISO of=/dev/USBdrive
2. boot USBdrive with the options: stage2=hd:/dev/sda:/ repo=hdx:/dev/sda:/
3.

where sda is the USBdrive.

Actual results:


Expected results:


Additional info:
Attached is a proposed patch.
Comment 2 RHEL Product and Program Management 2013-10-13 22:14:48 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Nuno Fernandes 2013-10-14 04:04:39 EDT
Hello,

Please consider it to the next release.

Thanks,
Nuno Fernandes
Comment 4 Chris Lumens 2014-12-08 16:40:12 EST
Do we have a customer asking for this?  If so, what do they want it for?  In general, we are trying to keep the number of installation methods down.  Each method means a higher maintainence and QA burden, and we already have an awful lot of methods and ways of finding installation media right now.
Comment 5 Nuno Fernandes 2014-12-09 04:26:51 EST
No, we don't have a customer asking for this. Let me explain, there is a opensource project called nuxis (http://nuxis.com). It's a virtualization solution (much like ovirt) that it's based on centos (in turn based on rhel).

We use this patch (that we are trying to make it upstream) so that the same ISO boots from CD as well as from USB disk (using isohybrid).

We think that this should also be a good feature to the rhel product.
Comment 6 Steve Almy 2015-10-21 15:02:41 EDT
Hi Nuno,

Thank you for submitting this request for inclusion in Red Hat Enterprise Linux. After carefully evaluating your request, we are unable to include it in RHEL 6, based on our focus for the remaining updates to RHEL 6.

Thanks,
Steve

Note You need to log in before you can comment on or make changes to this bug.